## org.eclipse.xsd.util
Class DefaultJAXPPool

    java.lang.Object
      org.eclipse.xsd.util.DefaultJAXPPool

All Implemented Interfaces:
  JAXPPool

    public class DefaultJAXPPool

extends java.lang.Object
implements JAXPPool

The DefaultJAXPPool class provides a thread-safe implementation of JAXPPool interface.

Constructor Summary
`DefaultJAXPPool()` Creates JAXPPool using DefaultJAXPConfiguration implementation
`DefaultJAXPPool(JAXPConfiguration configuration)` Creates JAXP pool using specified JAXPConfiguration.

Method Summary
`javax.xml.parsers.DocumentBuilder` `getDocumentBuilder(org.xml.sax.ErrorHandler errorHandler)`
`javax.xml.parsers.SAXParser` `getSAXParser(org.xml.sax.ext.LexicalHandler lexicalHandler)`
`javax.xml.transform.Transformer` `getTransformer(java.lang.String encoding)`
`void` `releaseDocumentBuilder(javax.xml.parsers.DocumentBuilder documentBuilder)`
`void` `releaseSAXParser(javax.xml.parsers.SAXParser parser)`
`void` `releaseTransformer(javax.xml.transform.Transformer transformer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultJAXPPool

    public DefaultJAXPPool()

  Creates JAXPPool using DefaultJAXPConfiguration implementation

### DefaultJAXPPool

    public DefaultJAXPPool(JAXPConfiguration configuration)

  Creates JAXP pool using specified JAXPConfiguration.

  Parameters:
    `configuration` - - specify JAXPConfiguration (null is not a valid value)

Method Detail

### getDocumentBuilder

    public javax.xml.parsers.DocumentBuilder getDocumentBuilder(org.xml.sax.ErrorHandler errorHandler)
                                                         throws javax.xml.parsers.ParserConfigurationException,
                                                                org.xml.sax.SAXException

  Specified by:
    `getDocumentBuilder` in interface `JAXPPool`
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`

### releaseDocumentBuilder

    public void releaseDocumentBuilder(javax.xml.parsers.DocumentBuilder documentBuilder)

  Specified by:
    `releaseDocumentBuilder` in interface `JAXPPool`

### getSAXParser

    public javax.xml.parsers.SAXParser getSAXParser(org.xml.sax.ext.LexicalHandler lexicalHandler)
                                             throws javax.xml.parsers.ParserConfigurationException,
                                                    org.xml.sax.SAXException

  Specified by:
    `getSAXParser` in interface `JAXPPool`
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`

### releaseSAXParser

    public void releaseSAXParser(javax.xml.parsers.SAXParser parser)

  Specified by:
    `releaseSAXParser` in interface `JAXPPool`

### getTransformer

    public javax.xml.transform.Transformer getTransformer(java.lang.String encoding)
                                                   throws javax.xml.transform.TransformerException

  Specified by:
    `getTransformer` in interface `JAXPPool`
  Throws:
    `javax.xml.transform.TransformerException`

### releaseTransformer

    public void releaseTransformer(javax.xml.transform.Transformer transformer)

  Specified by:
    `releaseTransformer` in interface `JAXPPool`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.